Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455699

Summary: Review Request: cpqarrayd - daemon to monitor HP (compaq) arraycontrollers
Product: [Fedora] Fedora Reporter: David Juran <djuran>
Component: Package ReviewAssignee: Dan Horák <dan>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---Flags: dan: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.3-6.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-18 23:07:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Juran 2008-07-17 08:35:53 UTC
Spec URL: http://people.redhat.com/djuran/cpqarrayd.spec
SRPM URL: http://people.redhat.com/djuran/cpqarrayd-2.3-3.fc9.src.rpm
Description: 
Cpqarrayd is a daemon to monitor HP (compaq) arraycontrollers. It reports any
status changes, like failing disks, to the syslog and optionally to a remote
host using SNMP traps. 

Cpqarrayd was part of the kernel-utils package back in Red Hat Linux 9 but was then left out in the cold when then package was split up into it's components.

The original source contains support for the old(?) IDA arrays but this functionality requires undocumented IOCTL:s, i.e. they are not available in the header files exported by the kernel. Rather then copying the IOCTL definitions from the kernel's source code, I've disabled support for the IDA arrays in the package presented here.

Comment 1 Dan Horák 2008-07-17 08:47:11 UTC
I was preparing my own packages after the internal discussion some time ago, so
I will review this one.

Comment 2 Dan Horák 2008-07-17 09:20:05 UTC
OK	source files match upstream:
	    9d76dfe75507eabcc9e406bc88eeab7a660b057f  cpqarrayd-2.3.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text not included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
N/A	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

some notes:
- ask upstream to run automake with the "--copy" to include not the links but
real copies of files in the source archive
- I would enclose the support for IDA in #ifdef WITH_IDA/#endif instead of
commenting it out, but that's not a blocker
- and maybe we could work a bit on the IDA support ...

this package is APPROVED


Comment 3 David Juran 2008-07-17 14:53:15 UTC
New Package CVS Request
=======================
Package Name: cpqarrayd
Short Description: daemon to monitor HP (compaq) arraycontrollers
Owners: djuran
Branches: F-8 F-9 EL-4 EL-5
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-07-17 18:32:26 UTC
cvs done.

Comment 5 Fedora Update System 2008-07-18 14:00:10 UTC
cpqarrayd-2.3-6.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-07-18 14:02:05 UTC
cpqarrayd-2.3-6.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-07-18 23:07:54 UTC
cpqarrayd-2.3-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-23 07:02:34 UTC
cpqarrayd-2.3-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.